Skip to main content
POST
Reject a test (as a super admin)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assessment_id
string
required

ID of the assessment

id
string
required

ID of the test

Body

application/json
super_admin_reject_reason
string

Reason for rejection (optional, sent back to the test submitter)

Response

The rejected test (returned to draft status)

id
integer<int64>
required

ID of the test

type
string
required

Name of the test plan

Example:

"Synack14"

status
enum<string>
required

Whether the test has started and ended

Available options:
planned,
active,
ended
draft_status
enum<string>
required

Review status of the test, completed once the test is approved

Available options:
draft,
in_admin_review,
in_synack_review,
needs_more_info,
completed
planned_start_date
string<date-time>
required
planned_end_date
string<date-time>
required
actual_start_date
string<date-time> | null
required
actual_end_date
string<date-time> | null
required